Skip to main content
POST
Spree Seller SDK

Authorizations

Authorization
string
header
required

JWT token for an authenticated seller session (seller_api audience)

Headers

X-Spree-Seller-Id
string
required

Path Parameters

order_id
string
required

Prefixed order ID

fulfillment_id
string
required

Prefixed fulfillment ID

Body

application/json
file_signed_id
string
required

A signed_id from files.upload().

tracking_number
string
required

The number printed on the label.

carrier
string

Free text; a forwarder's name is as valid as a carrier slug. Detected from the number when omitted.

service
string

Carrier service the label was bought at.

cost
string<decimal>

What the seller paid the carrier. Accounting data only; it never touches the order's shipping charge.

Pattern: ^-?\d+(\.\d+)?$
currency
enum<string>

Currency of the cost.

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BYR,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EEK,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MRU,
MTL,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SKK,
SLE,
SLL,
SOS,
SRD,
SSP,
STD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMM,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYI,
UYU,
UYW,
UZS,
VED,
VEF,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XCG,
XOF,
XPF,
YER,
ZAR,
ZMK,
ZMW,
ZWD,
ZWG,
ZWL,
ZWN,
ZWR
file_format
enum<string>

Taken from the file when omitted.

Available options:
pdf,
png,
zpl
tracking_url
string

Tracking page for the consignment the label mints.

Response

201 - application/json

label recorded

id
string
required
source
enum<string>
required
Available options:
purchased,
uploaded
status
required

The values listed are the built-in ones; extensions may add more.

Available options:
purchased,
refund_requested,
refunded
carrier
string | null
required
carrier_name
string | null
required
service
string | null
required
tracking_number
string | null
required
currency
enum<string> | null
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BYR,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EEK,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MRU,
MTL,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SKK,
SLE,
SLL,
SOS,
SRD,
SSP,
STD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMM,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYI,
UYU,
UYW,
UZS,
VED,
VEF,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XCG,
XOF,
XPF,
YER,
ZAR,
ZMK,
ZMW,
ZWD,
ZWG,
ZWL,
ZWN,
ZWR
format
enum<string> | null
required
Available options:
pdf,
png,
zpl
external_id
string | null
required
metadata
object
required
refunded_at
string | null
required
created_at
string
required
updated_at
string
required
owner_id
string
required
owner_type
enum<string>
required
Available options:
fulfillment,
return
cost
string
required
integration_id
string | null
required
file_pending
boolean
required
download_url
string | null
required